org.codehaus.plexus.component.composition

## Class AbstractComponentComposer

- java.lang.Object
- - org.codehaus.plexus.logging.AbstractLogEnabled
  - - org.codehaus.plexus.component.composition.AbstractComponentComposer

All Implemented Interfaces:
  ComponentComposer, LogEnabled

Direct Known Subclasses:
  FieldComponentComposer, MapOrientedComponentComposer, NoOpComponentComposer, SetterComponentComposer

    public abstract class AbstractComponentComposer
    extends AbstractLogEnabled
    implements ComponentComposer

Version:
  $Id: AbstractComponentComposer.java 1323 2004-12-20 23:00:59Z jvanzyl $
Author:
  Jason van Zyl

### Field Summary

### Fields inherited from interface org.codehaus.plexus.component.composition.ComponentComposer

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractComponentComposer()`

### Method Summary

Methods
`String` `getId()`

### Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled

`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.plexus.component.composition.ComponentComposer

`assembleComponent`

### Constructor Detail

#### AbstractComponentComposer

    public AbstractComponentComposer()

### Method Detail

#### getId

    public String getId()

Specified by:
  `getId` in interface `ComponentComposer`